package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.common.api.PriceFxInterface;

/**
 * Builder class for input type FilterBuilder {@link InputType#FILTERBUILDER}.
 */
public class FilterBuilderInputBuilder extends AbstractInputBuilder<FilterBuilderInputBuilder, Object> {

    private final String typeCode;

    protected FilterBuilderInputBuilder(InputBuilderContext builderContext, String paramName, String typeCode) {
        super(builderContext, InputType.FILTERBUILDER, paramName);
        cp.setConfigParameter(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_TYPECODE, typeCode);
        this.typeCode = typeCode;
    }

}
